## Class runtime_error

boost::log::runtime_error — Base class for runtime exceptions from the logging library.

## Synopsis

    // In header: <boost/log/exceptions.hpp>

    class runtime_error : public runtime_error {
    public:
      // construct/copy/destruct
      explicit runtime_error(std::string const &);
      ~runtime_error();
    };

## Description

Exceptions derived from this class indicate a problem that may not directly be caused by the user's code that interacts with the library, such as errors caused by input data.

### `runtime_error` public construct/copy/destruct

1.     explicit runtime_error(std::string const & descr);

   Initializing constructor. Creates an exception with the specified error message.

2.     ~runtime_error();

   Destructor